// Generated by the gRPC C++ plugin.
// If you make any local change, they will be lost.
// source: speech/v1/cloud_speech.proto

#include "speech/v1/cloud_speech.pb.h"
#include "speech/v1/cloud_speech.grpc.pb.h"

#include <grpc++/impl/codegen/async_stream.h>
#include <grpc++/impl/codegen/async_unary_call.h>
#include <grpc++/impl/codegen/channel_interface.h>
#include <grpc++/impl/codegen/client_unary_call.h>
#include <grpc++/impl/codegen/method_handler_impl.h>
#include <grpc++/impl/codegen/rpc_service_method.h>
#include <grpc++/impl/codegen/service_type.h>
#include <grpc++/impl/codegen/sync_stream.h>
namespace vais {
namespace cloud {
namespace speech {
namespace v1 {

static const char* Speech_method_names[] = {
  "/vais.cloud.speech.v1.Speech/Recognize",
  "/vais.cloud.speech.v1.Speech/StreamingIntentRecognize",
  "/vais.cloud.speech.v1.Speech/StreamingRecognize",
  "/vais.cloud.speech.v1.Speech/Text2SpeechHmmAiHoa",
  "/vais.cloud.speech.v1.Speech/Text2SpeechHmmMinhNguyet",
  "/vais.cloud.speech.v1.Speech/Text2SpeechConcatAiHoa",
  "/vais.cloud.speech.v1.Speech/Text2SpeechConcatMinhNguyet",
};

std::unique_ptr< Speech::Stub> Speech::NewStub(const std::shared_ptr< ::grpc::ChannelInterface>& channel, const ::grpc::StubOptions& options) {
  std::unique_ptr< Speech::Stub> stub(new Speech::Stub(channel));
  return stub;
}

Speech::Stub::Stub(const std::shared_ptr< ::grpc::ChannelInterface>& channel)
  : channel_(channel), rpcmethod_Recognize_(Speech_method_names[0], ::grpc::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_StreamingIntentRecognize_(Speech_method_names[1], ::grpc::RpcMethod::BIDI_STREAMING, channel)
  , rpcmethod_StreamingRecognize_(Speech_method_names[2], ::grpc::RpcMethod::BIDI_STREAMING, channel)
  , rpcmethod_Text2SpeechHmmAiHoa_(Speech_method_names[3], ::grpc::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_Text2SpeechHmmMinhNguyet_(Speech_method_names[4], ::grpc::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_Text2SpeechConcatAiHoa_(Speech_method_names[5], ::grpc::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_Text2SpeechConcatMinhNguyet_(Speech_method_names[6], ::grpc::RpcMethod::NORMAL_RPC, channel)
  {}

::grpc::Status Speech::Stub::Recognize(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::RecognizeRequest& request, ::vais::cloud::speech::v1::RecognizeResponse* response) {
  return ::grpc::BlockingUnaryCall(channel_.get(), rpcmethod_Recognize_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::RecognizeResponse>* Speech::Stub::AsyncRecognizeRaw(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::RecognizeRequest& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::RecognizeResponse>::Create(channel_.get(), cq, rpcmethod_Recognize_, context, request);
}

::grpc::ClientReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse>* Speech::Stub::StreamingIntentRecognizeRaw(::grpc::ClientContext* context) {
  return new ::grpc::ClientReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse>(channel_.get(), rpcmethod_StreamingIntentRecognize_, context);
}

::grpc::ClientAsyncReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse>* Speech::Stub::AsyncStreamingIntentRecognizeRaw(::grpc::ClientContext* context, ::grpc::CompletionQueue* cq, void* tag) {
  return ::grpc::ClientAsyncReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse>::Create(channel_.get(), cq, rpcmethod_StreamingIntentRecognize_, context, tag);
}

::grpc::ClientReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingRecognizeResponse>* Speech::Stub::StreamingRecognizeRaw(::grpc::ClientContext* context) {
  return new ::grpc::ClientReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingRecognizeResponse>(channel_.get(), rpcmethod_StreamingRecognize_, context);
}

::grpc::ClientAsyncReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingRecognizeResponse>* Speech::Stub::AsyncStreamingRecognizeRaw(::grpc::ClientContext* context, ::grpc::CompletionQueue* cq, void* tag) {
  return ::grpc::ClientAsyncReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingRecognizeResponse>::Create(channel_.get(), cq, rpcmethod_StreamingRecognize_, context, tag);
}

::grpc::Status Speech::Stub::Text2SpeechHmmAiHoa(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::vais::cloud::speech::v1::TtsResponse* response) {
  return ::grpc::BlockingUnaryCall(channel_.get(), rpcmethod_Text2SpeechHmmAiHoa_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>* Speech::Stub::AsyncText2SpeechHmmAiHoaRaw(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>::Create(channel_.get(), cq, rpcmethod_Text2SpeechHmmAiHoa_, context, request);
}

::grpc::Status Speech::Stub::Text2SpeechHmmMinhNguyet(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::vais::cloud::speech::v1::TtsResponse* response) {
  return ::grpc::BlockingUnaryCall(channel_.get(), rpcmethod_Text2SpeechHmmMinhNguyet_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>* Speech::Stub::AsyncText2SpeechHmmMinhNguyetRaw(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>::Create(channel_.get(), cq, rpcmethod_Text2SpeechHmmMinhNguyet_, context, request);
}

::grpc::Status Speech::Stub::Text2SpeechConcatAiHoa(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::vais::cloud::speech::v1::TtsResponse* response) {
  return ::grpc::BlockingUnaryCall(channel_.get(), rpcmethod_Text2SpeechConcatAiHoa_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>* Speech::Stub::AsyncText2SpeechConcatAiHoaRaw(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>::Create(channel_.get(), cq, rpcmethod_Text2SpeechConcatAiHoa_, context, request);
}

::grpc::Status Speech::Stub::Text2SpeechConcatMinhNguyet(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::vais::cloud::speech::v1::TtsResponse* response) {
  return ::grpc::BlockingUnaryCall(channel_.get(), rpcmethod_Text2SpeechConcatMinhNguyet_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>* Speech::Stub::AsyncText2SpeechConcatMinhNguyetRaw(::grpc::ClientContext* context, const ::vais::cloud::speech::v1::TtsRequest& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::ClientAsyncResponseReader< ::vais::cloud::speech::v1::TtsResponse>::Create(channel_.get(), cq, rpcmethod_Text2SpeechConcatMinhNguyet_, context, request);
}

Speech::Service::Service() {
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[0],
      ::grpc::RpcMethod::NORMAL_RPC,
      new ::grpc::RpcMethodHandler< Speech::Service, ::vais::cloud::speech::v1::RecognizeRequest, ::vais::cloud::speech::v1::RecognizeResponse>(
          std::mem_fn(&Speech::Service::Recognize), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[1],
      ::grpc::RpcMethod::BIDI_STREAMING,
      new ::grpc::BidiStreamingHandler< Speech::Service, ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse>(
          std::mem_fn(&Speech::Service::StreamingIntentRecognize), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[2],
      ::grpc::RpcMethod::BIDI_STREAMING,
      new ::grpc::BidiStreamingHandler< Speech::Service, ::vais::cloud::speech::v1::StreamingRecognizeRequest, ::vais::cloud::speech::v1::StreamingRecognizeResponse>(
          std::mem_fn(&Speech::Service::StreamingRecognize), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[3],
      ::grpc::RpcMethod::NORMAL_RPC,
      new ::grpc::RpcMethodHandler< Speech::Service, ::vais::cloud::speech::v1::TtsRequest, ::vais::cloud::speech::v1::TtsResponse>(
          std::mem_fn(&Speech::Service::Text2SpeechHmmAiHoa), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[4],
      ::grpc::RpcMethod::NORMAL_RPC,
      new ::grpc::RpcMethodHandler< Speech::Service, ::vais::cloud::speech::v1::TtsRequest, ::vais::cloud::speech::v1::TtsResponse>(
          std::mem_fn(&Speech::Service::Text2SpeechHmmMinhNguyet), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[5],
      ::grpc::RpcMethod::NORMAL_RPC,
      new ::grpc::RpcMethodHandler< Speech::Service, ::vais::cloud::speech::v1::TtsRequest, ::vais::cloud::speech::v1::TtsResponse>(
          std::mem_fn(&Speech::Service::Text2SpeechConcatAiHoa), this)));
  AddMethod(new ::grpc::RpcServiceMethod(
      Speech_method_names[6],
      ::grpc::RpcMethod::NORMAL_RPC,
      new ::grpc::RpcMethodHandler< Speech::Service, ::vais::cloud::speech::v1::TtsRequest, ::vais::cloud::speech::v1::TtsResponse>(
          std::mem_fn(&Speech::Service::Text2SpeechConcatMinhNguyet), this)));
}

Speech::Service::~Service() {
}

::grpc::Status Speech::Service::Recognize(::grpc::ServerContext* context, const ::vais::cloud::speech::v1::RecognizeRequest* request, ::vais::cloud::speech::v1::RecognizeResponse* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::StreamingIntentRecognize(::grpc::ServerContext* context, ::grpc::ServerReaderWriter< ::vais::cloud::speech::v1::StreamingIntentRecognizeResponse, ::vais::cloud::speech::v1::StreamingRecognizeRequest>* stream) {
  (void) context;
  (void) stream;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::StreamingRecognize(::grpc::ServerContext* context, ::grpc::ServerReaderWriter< ::vais::cloud::speech::v1::StreamingRecognizeResponse, ::vais::cloud::speech::v1::StreamingRecognizeRequest>* stream) {
  (void) context;
  (void) stream;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::Text2SpeechHmmAiHoa(::grpc::ServerContext* context, const ::vais::cloud::speech::v1::TtsRequest* request, ::vais::cloud::speech::v1::TtsResponse* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::Text2SpeechHmmMinhNguyet(::grpc::ServerContext* context, const ::vais::cloud::speech::v1::TtsRequest* request, ::vais::cloud::speech::v1::TtsResponse* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::Text2SpeechConcatAiHoa(::grpc::ServerContext* context, const ::vais::cloud::speech::v1::TtsRequest* request, ::vais::cloud::speech::v1::TtsResponse* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Speech::Service::Text2SpeechConcatMinhNguyet(::grpc::ServerContext* context, const ::vais::cloud::speech::v1::TtsRequest* request, ::vais::cloud::speech::v1::TtsResponse* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}


}  // namespace vais
}  // namespace cloud
}  // namespace speech
}  // namespace v1

